﻿using System.Windows;
using System.Windows.Interactivity;

namespace SLTrigger
{
    //动作
    public class InvokeAction : TriggerAction <UIElement>
    {
        //直接使用后台代码执行动作
        protected override void Invoke(object parameter)
        {
            if (ToInvoke != null)
            {
                ToInvoke(parameter, new RoutedEventArgs() { });
            }
        }

        public delegate void Handler(object sender, RoutedEventArgs e);
        public event Handler ToInvoke;

        /// <summary>
        /// 装载对象
        /// </summary>
        protected override void OnAttached()
        {
            base.OnAttached();
        }

        /// <summary>
        /// 卸载对象
        /// </summary>
        protected override void OnDetaching()
        {
            base.OnDetaching();
        }

    }
}
